## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  ApacheConfig, AprLifecycleListener, BaseJkConfig, CometConnectionManagerValve, ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HostConfig, IISConfig, JasperListener, NamingContextListener, NSConfig, ReplicatedContext, ServerLifecycleListener, SimpleTcpCluster, TldConfig, UserConfig

    public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.